/*
 * @Author: Chengliang 1546584672@qq.com
 * @Date: 2023-08-16 11:22:18
 * @LastEditors: Chengliang 1546584672@qq.com
 * @LastEditTime: 2023-08-24 15:58:29
 * @FilePath: /org-chart-frant/.umirc.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { defineConfig } from 'umi';

export default defineConfig({
  hash: true,
  history: { type: 'hash' },
  base: '/spa/orgChart/',
  // exportStatic: {},
  publicPath: './',
  nodeModulesTransform: {
    type: 'none',
  },
  routes: [
    { path: '/user', component: '@/pages/user' },
    { path: '/company', component: '@/pages/company' },
    { path: '/dragtree', component: '@/pages/dragTree' },
  ],
  fastRefresh: {},
  antd: {},
  proxy: {
    '/api': {
      // 标识需要进行转换的请求的url
      target: 'http://127.0.0.1:8686/api', // 服务端域名
      //target: 'http://221.226.25.34:11080/api',
      changeOrigin: true, // 允许域名进行转换
      pathRewrite: { '^/api': '' }, // 将请求url里的ci去掉
    },
  },
});
